# Update integration PUT https://alsona.com/rest/accounts/account_cd855c2bb1cc72097238/integrations/hubspot Content-Type: application/json Update an integration. **Request body fields:** - `integration_id` (string, required) — e.g. `hubspot`, `salesforce`, `zapier`. - `account_id` (string, required) — Account to associate the integration with. - `config` (object, optional) — Provider-specific configuration key/value pairs. Reference: https://api.hublinks.io/alsona-api/integrations/update-integration ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /rest/accounts/account_cd855c2bb1cc72097238/integrations/hubspot: put: operationId: update-integration summary: Update integration description: >- Update an integration. **Request body fields:** - `integration_id` (string, required) — e.g. `hubspot`, `salesforce`, `zapier`. - `account_id` (string, required) — Account to associate the integration with. - `config` (object, optional) — Provider-specific configuration key/value pairs. tags: - subpackage_integrations parameters: - name: X-API-KEY in: header required: true schema: type: string responses: '200': description: Successful response content: application/json: schema: $ref: >- #/components/schemas/Integrations_Update integration_Response_200 requestBody: content: application/json: schema: type: object properties: integration: $ref: >- #/components/schemas/RestAccountsAccountCd855C2Bb1Cc72097238IntegrationsHubspotPutRequestBodyContentApplicationJsonSchemaIntegration required: - integration servers: - url: https://alsona.com components: schemas: RestAccountsAccountCd855C2Bb1Cc72097238IntegrationsHubspotPutRequestBodyContentApplicationJsonSchemaIntegration: type: object properties: status: type: string required: - status title: >- RestAccountsAccountCd855C2Bb1Cc72097238IntegrationsHubspotPutRequestBodyContentApplicationJsonSchemaIntegration Integrations_Update integration_Response_200: type: object properties: {} description: Empty response body title: Integrations_Update integration_Response_200 securitySchemes: apiKeyAuth: type: apiKey in: header name: X-API-KEY ``` ## SDK Code Examples ```python import requests url = "https://alsona.com/rest/accounts/account_cd855c2bb1cc72097238/integrations/hubspot" payload = { "integration": { "status": "DISABLED" } } headers = { "X-API-KEY": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alsona.com/rest/accounts/account_cd855c2bb1cc72097238/integrations/hubspot'; const options = { method: 'PUT', headers: {'X-API-KEY': '', 'Content-Type': 'application/json'}, body: '{"integration":{"status":"DISABLED"}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://alsona.com/rest/accounts/account_cd855c2bb1cc72097238/integrations/hubspot" payload := strings.NewReader("{\n \"integration\": {\n \"status\": \"DISABLED\"\n }\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("X-API-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alsona.com/rest/accounts/account_cd855c2bb1cc72097238/integrations/hubspot") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["X-API-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"integration\": {\n \"status\": \"DISABLED\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://alsona.com/rest/accounts/account_cd855c2bb1cc72097238/integrations/hubspot") .header("X-API-KEY", "") .header("Content-Type", "application/json") .body("{\n \"integration\": {\n \"status\": \"DISABLED\"\n }\n}") .asString(); ``` ```php request('PUT', 'https://alsona.com/rest/accounts/account_cd855c2bb1cc72097238/integrations/hubspot', [ 'body' => '{ "integration": { "status": "DISABLED" } }', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alsona.com/rest/accounts/account_cd855c2bb1cc72097238/integrations/hubspot"); var request = new RestRequest(Method.PUT); request.AddHeader("X-API-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"integration\": {\n \"status\": \"DISABLED\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-KEY": "", "Content-Type": "application/json" ] let parameters = ["integration": ["status": "DISABLED"]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://alsona.com/rest/accounts/account_cd855c2bb1cc72097238/integrations/hubspot")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```